test: appui.cpp File Reference

Main Page | Class Hierarchy | Class List | File List | Class Members | File Members

# appui.cpp File Reference

`#include "ICMUI.H"`

Go to the source code of this file.

## Classes

class | CColorMatchDialog

## Defines

#define | BAD_BUFFER_FLAGS

## Functions

BOOL WINAPI | SetupColorMatchingA (PCOLORMATCHSETUPA pcms)
BOOL WINAPI | SetupColorMatchingW (PCOLORMATCHSETUPW pcms)

## Variables

CONST DWORD | ApplicationUIHelpIds []

## Define Documentation

#define BAD_BUFFER_FLAGS

Value:

    (CMS_MONITOROVERFLOW | CMS_PRINTEROVERFLOW | \
                                 CMS_TARGETOVERFLOW)

Definition at line 407 of file appui.cpp.

Referenced by CColorMatchDialog::FillStructure().

## Function Documentation

BOOL WINAPI SetupColorMatchingA | ( | PCOLORMATCHSETUPA | pcms | ) |

Definition at line 1050 of file appui.cpp.

References BOOL, and CColorMatchDialog::Results().

    01050                                                                     {
    01051
    01052     CColorMatchDialog   ccmd(pcms);
    01053
    01054     return  ccmd.Results();
    01055 }

BOOL WINAPI SetupColorMatchingW | ( | PCOLORMATCHSETUPW | pcms | ) |

Definition at line 1057 of file appui.cpp.

References BOOL, and CColorMatchDialog::Results().

    01057                                                                     {
    01058
    01059     CColorMatchDialog   ccmd(pcms);
    01060
    01061     return  ccmd.Results();
    01062 }

## Variable Documentation

CONST DWORD ApplicationUIHelpIds[]

Initial value:

     {
        ApplyButton,          IDH_ICMUI_APPLY,
        EnableICM,            IDH_APPUI_ICM,
        EnableBasic,          IDH_APPUI_BASIC,
        EnableProofing,       IDH_APPUI_PROOF,
        MonitorProfile,       IDH_APPUI_MONITOR,
        MonitorProfileLabel,  IDH_APPUI_MONITOR,
        PrinterProfile,       IDH_APPUI_PRINTER,
        PrinterProfileLabel,  IDH_APPUI_PRINTER,
        RenderingIntent,      IDH_APPUI_INTENT,
        RenderingIntentLabel, IDH_APPUI_INTENT,
        TargetProfile,        IDH_APPUI_EMULATE,
        TargetProfileLabel,   IDH_APPUI_EMULATE,
        TargetIntent,         IDH_APPUI_INTENT,
        TargetIntentLabel,    IDH_APPUI_INTENT,

        SourceProfileLabel,   IDH_APPUI_SOURCE,

        0, 0
    }

Definition at line 20 of file appui.cpp.

Referenced by CColorMatchDialog::OnContextMenu(), and CColorMatchDialog::OnHelp().